# std::chrono Namespace Reference
[Time]

ISO C++ 0x entities sub namespace for time and date. More...

## Classes

- struct duration
    duration More...
- struct duration_values
    duration_values More...
- struct treat_as_floating_point
    treat_as_floating_point More...

## Functions

- template<typename _ToDuration , typename _Rep , typename _Period > _ToDuration duration_cast (const duration< _Rep, _Period > &__d)

## Detailed Description

ISO C++ 0x entities sub namespace for time and date.

## Function Documentation

template<typename _ToDuration , typename _Rep , typename _Period >

_ToDuration std::chrono::duration_cast | ( | const duration< _Rep, _Period > & | __d | ) | `[inline]`

duration_cast

Definition at line 144 of file chrono.

Referenced by std::this_thread::sleep_for().